package com.ruoyi.project.asset.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 漏点巡检对象 t_leakage_points_patrol
 * 
 * @author ruoyi
 * @date 2024-04-01
 */
public class TLeakagePointsPatrol extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 班组 */
    @Excel(name = "班组")
    private String teamM;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDateM;

    /** 检查人 */
    @Excel(name = "检查人")
    private String signM;

    /** 班组 */
    @Excel(name = "班组")
    private String teamN;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDateN;

    /** 检查人 */
    @Excel(name = "检查人")
    private String signN;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标识 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTeamM(String teamM) 
    {
        this.teamM = teamM;
    }

    public String getTeamM() 
    {
        return teamM;
    }
    public void setCheckDateM(Date checkDateM) 
    {
        this.checkDateM = checkDateM;
    }

    public Date getCheckDateM() 
    {
        return checkDateM;
    }
    public void setSignM(String signM) 
    {
        this.signM = signM;
    }

    public String getSignM() 
    {
        return signM;
    }
    public void setTeamN(String teamN) 
    {
        this.teamN = teamN;
    }

    public String getTeamN() 
    {
        return teamN;
    }
    public void setCheckDateN(Date checkDateN) 
    {
        this.checkDateN = checkDateN;
    }

    public Date getCheckDateN() 
    {
        return checkDateN;
    }
    public void setSignN(String signN) 
    {
        this.signN = signN;
    }

    public String getSignN() 
    {
        return signN;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode) 
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() 
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() 
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("teamM", getTeamM())
            .append("checkDateM", getCheckDateM())
            .append("signM", getSignM())
            .append("teamN", getTeamN())
            .append("checkDateN", getCheckDateN())
            .append("signN", getSignN())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
